Debian Bug report logs - #252896
fam uses 100% of CPU

version graph

Package: fam; Maintainer for fam is Chuan-kai Lin <cklin@debian.org>; Source for fam is src:fam.

Reported by: Cristiano De Michele <demichel@na.infn.it>

Date: Sat, 5 Jun 2004 19:33:01 UTC

Severity: important

Tags: sid

Merged with 275988, 298576, 303108, 304558, 376507, 388145

Found in versions 2.6.6.1-5.2, 2.7.0-5, 2.7.0-6, fam/2.7.0-10, fam/2.7.0-13.3

Fixed in versions fam/2.7.0-14, fam/2.7.0-13.3+lenny1, fam/2.7.0-12+etch1

Done: Chuan-kai Lin <cklin@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Joerg Wendland <joergland@debian.org>:
Bug#252896; Package fam. Full text and rfc822 format available.

Acknowledgement sent to Cristiano De Michele <demichel@na.infn.it>:
New Bug report received and forwarded. Copy sent to Joerg Wendland <joergland@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Cristiano De Michele <demichel@na.infn.it>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: fam uses 100% of CPU
Date: Sat, 05 Jun 2004 21:18:36 +0200
Package: fam
Version: 2.7.0-5
Severity: important
Tags: sid

from time to time fam suddenly starts to use 100% of CPU and I have to restart
it doing:
/etc/init.d/fam restart

-- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (990, 'unstable'), (500, 'testing')
Architecture: i386 (i686)
Kernel: Linux 2.4.26
Locale: LANG=it_IT, LC_CTYPE=it_IT

Versions of packages fam depends on:
ii  libc6                       2.3.2.ds1-13 GNU C Library: Shared libraries an
ii  libgcc1                     1:3.3.3-9    GCC support library
ii  libstdc++5                  1:3.3.3-9    The GNU Standard C++ Library v3
ii  portmap                     5-4          The RPC portmapper

-- debconf information:
* fam/init: inetd



Information forwarded to debian-bugs-dist@lists.debian.org, Joerg Wendland <joergland@debian.org>:
Bug#252896; Package fam. Full text and rfc822 format available.

Acknowledgement sent to Phil Edwards <pme@devphil.com>:
Extra info received and forwarded to list. Copy sent to Joerg Wendland <joergland@debian.org>. Full text and rfc822 format available.

Message #10 received at 252896@bugs.debian.org (full text, mbox):

From: Phil Edwards <pme@devphil.com>
To: 252896@bugs.debian.org
Subject: Re: fam uses 100% of CPU
Date: Sun, 13 Jun 2004 17:02:28 -0400
Same version here, and some of the times I can't stop it at all.  Gets
wedged into an unkillable state, forcing a reboot.

Usually after running mplayer, it looks like.




Information forwarded to debian-bugs-dist@lists.debian.org, Joerg Wendland <joergland@debian.org>:
Bug#252896; Package fam. Full text and rfc822 format available.

Acknowledgement sent to rich walker <rw@shadow.org.uk>:
Extra info received and forwarded to list. Copy sent to Joerg Wendland <joergland@debian.org>. Full text and rfc822 format available.

Message #15 received at 252896@bugs.debian.org (full text, mbox):

From: rich walker <rw@shadow.org.uk>
To: Debian Bug Tracking System <252896@bugs.debian.org>
Subject: /usr/sbin/famd: Fam *always* ends up using all CPU
Date: Sun, 18 Jul 2004 20:00:10 +0100
Package: fam
Version: 2.7.0-5
Followup-For: Bug #252896


I run k3b on the box with the cd burner via ssh -X. This seems to cause 
famd to start running with my user-id, and that copy of famd then takes 
all available CPU. When k3b stops, it continues. The process has my 
user-id, but I can't kill it - only root can.

-- System Information:
Debian Release: testing/unstable
  APT prefers testing
  APT policy: (990, 'testing')
Architecture: i386 (i686)
Kernel: Linux 2.4.26
Locale: LANG=C, LC_CTYPE=C

Versions of packages fam depends on:
ii  libc6                       2.3.2.ds1-13 GNU C Library: Shared libraries an
ii  libgcc1                     1:3.3.4-2    GCC support library
ii  libstdc++5                  1:3.3.4-2    The GNU Standard C++ Library v3
ii  portmap                     5-4          The RPC portmapper

-- debconf information:
  fam/init: inetd



Information forwarded to debian-bugs-dist@lists.debian.org, Joerg Wendland <joergland@debian.org>:
Bug#252896; Package fam. Full text and rfc822 format available.

Acknowledgement sent to Joshua N Pritikin <jpritikin@pobox.com>:
Extra info received and forwarded to list. Copy sent to Joerg Wendland <joergland@debian.org>. Full text and rfc822 format available.

Message #20 received at 252896@bugs.debian.org (full text, mbox):

From: Joshua N Pritikin <jpritikin@pobox.com>
To: 252896@bugs.debian.org
Subject: more data
Date: Tue, 14 Sep 2004 16:50:02 +0530
strace reports tons of these:

--- SIGIO (I/O possible) ---
write(2, "*************** overflow sigqueu"..., 58) = 58
rt_sigreturn(0x2)                       = 51
--- SIGIO (I/O possible) ---
write(2, "*************** overflow sigqueu"..., 58) = 58
rt_sigreturn(0x2)                       = 51

Same as this report:

  http://www.mail-archive.com/debian-user@lists.debian.org/msg116299.html

The mention of samba is interesting. We run samba for accessing
removable disk devices on LTSP clients.

Linux ltsp1 2.6.7 #11 SMP Mon Sep 6 13:07:49 IST 2004 i686 GNU/Linux

fam 2.7.0-5
samba 3.0.5-1

-- 
A new cognitive theory of emotion, http://openheartlogic.org



Information forwarded to debian-bugs-dist@lists.debian.org, Joerg Wendland <joergland@debian.org>:
Bug#252896; Package fam. Full text and rfc822 format available.

Acknowledgement sent to Ken Bannister <kbee2@rcn.com>:
Extra info received and forwarded to list. Copy sent to Joerg Wendland <joergland@debian.org>. Full text and rfc822 format available.

Message #25 received at 252896@bugs.debian.org (full text, mbox):

From: Ken Bannister <kbee2@rcn.com>
To: 252896@bugs.debian.org
Subject: fam hogs CPU in 'testing' distribution
Date: Tue, 21 Sep 2004 14:31:08 -0700
I can recreate this issue with the following steps from a very recent 
'testing' installation:

Start X.
Run lyx.
From the menu select Help->Introduction. (just to get a document)
From the menu select File->Export->HTML.

At some point during/after the export, famd starts using 90%+ CPU. I then 
restart fam with '/etc/init.d/fam restart'.

fam Version: 2.7.0-5
lyx 1.3.4-2

Regards,
Ken Bannister



Severity set to `normal'. Request was from Joerg Wendland <joergland@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Merged 252896 275988. Request was from Joerg Wendland <joergland@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Joerg Wendland <joergland@debian.org>:
Bug#252896; Package fam. Full text and rfc822 format available.

Acknowledgement sent to Maggioni Marcello <voloterreno@tin.it>:
Extra info received and forwarded to list. Copy sent to Joerg Wendland <joergland@debian.org>. Full text and rfc822 format available.

Message #34 received at 252896@bugs.debian.org (full text, mbox):

From: Maggioni Marcello <voloterreno@tin.it>
To: Debian Bug Tracking System <252896@bugs.debian.org>
Subject: fam: Same here
Date: Sat, 13 Nov 2004 15:23:04 +0100
Package: fam
Version: 2.7.0-6
Followup-For: Bug #252896


I've the same problem here.

FAMD after sometime starts to use nearly 100% of CPU time , and I can't
start anymore some KDE applications like KWrite , Kuickshow and KVIRC
freeze when trying to send something via DCC .

After restarting famd all comes back to normal, and all the applications
that before weren't working correctly now are back to normal.

Someone has ideas about this?

Bye

-- System Information:
Debian Release: 3.1
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)
Kernel: Linux 2.6.9-ck2
Locale: LANG=it_IT@euro, LC_CTYPE=it_IT@euro (charmap=ISO-8859-15)

Versions of packages fam depends on:
ii  libc6                       2.3.2.ds1-18 GNU C Library: Shared libraries an
ii  libgcc1                     1:3.4.2-3    GCC support library
ii  libstdc++5                  1:3.3.5-2    The GNU Standard C++ Library v3
ii  portmap                     5-7          The RPC portmapper

-- no debconf information



Information forwarded to debian-bugs-dist@lists.debian.org, Joerg Wendland <joergland@debian.org>:
Bug#252896; Package fam. Full text and rfc822 format available.

Acknowledgement sent to Maggioni Marcello <voloterreno@tin.it>:
Extra info received and forwarded to list. Copy sent to Joerg Wendland <joergland@debian.org>. Full text and rfc822 format available.

Message #39 received at 252896@bugs.debian.org (full text, mbox):

From: Maggioni Marcello <voloterreno@tin.it>
To: Debian Bug Tracking System <252896@bugs.debian.org>
Subject: fam: Maybe here a solution
Date: Sun, 14 Nov 2004 21:00:46 +0100
Package: fam
Version: 2.7.0-6
Followup-For: Bug #252896



-- System Information:
Debian Release: 3.1
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)
Kernel: Linux 2.6.9-ck2
Locale: LANG=it_IT@euro, LC_CTYPE=it_IT@euro (charmap=ISO-8859-15)

Hi guys , I've found this on SGI Bugzilla :

http://oss.sgi.com/bugzilla/show_bug.cgi?id=158

The DNotify seems to be the cause of the problem , and here the solution
(I don't know if works , I haven't tried it) :

http://oss.sgi.com/projects/fam/mail_archive/200301/msg00011.html

In this link is suggested to link FAMD with -lrt -lpthread in order to
avoid this bug.

Bye

Marcello


Versions of packages fam depends on:
ii  libc6                       2.3.2.ds1-18 GNU C Library: Shared libraries an
ii  libgcc1                     1:3.4.2-3    GCC support library
ii  libstdc++5                  1:3.3.5-2    The GNU Standard C++ Library v3
ii  portmap                     5-7          The RPC portmapper

-- no debconf information



Information forwarded to debian-bugs-dist@lists.debian.org, Joerg Wendland <joergland@debian.org>:
Bug#252896; Package fam. Full text and rfc822 format available.

Acknowledgement sent to Alexandre Touret <alexandre.touret@free.fr>:
Extra info received and forwarded to list. Copy sent to Joerg Wendland <joergland@debian.org>. Full text and rfc822 format available.

Message #44 received at 252896@bugs.debian.org (full text, mbox):

From: Alexandre Touret <alexandre.touret@free.fr>
To: Debian Bug Tracking System <252896@bugs.debian.org>
Subject: fam: FAM uses 100 %CPU when moving big files
Date: Sun, 03 Apr 2005 17:57:25 +0200
Package: fam
Version: 2.7.0-6
Followup-For: Bug #252896

When I move a big file (ex. 700 M) FAM uses, every time 100 %of CPU. I have founded only one issue: restart fam.



-- System Information:
Debian Release: 3.1
  APT prefers testing
  APT policy: (900, 'testing'), (300, 'unstable')
Architecture: i386 (i686)
Kernel: Linux 2.6.10-1-686
Locale: LANG=fr_FR@euro, LC_CTYPE=fr_FR@euro (charmap=ISO-8859-15)

Versions of packages fam depends on:
ii  libc6                       2.3.2.ds1-20 GNU C Library: Shared libraries an
ii  libgcc1                     1:3.4.3-6    GCC support library
ii  libstdc++5                  1:3.3.5-8    The GNU Standard C++ Library v3
ii  portmap                     5-9          The RPC portmapper

-- no debconf information



Merged 252896 275988 298576 303108 304558. Request was from Chuan-kai Lin <cklin@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Merged 252896 275988 298576 303108 304558 376507 388145. Request was from Adam Porter <adam@alphapapa.net> to control@bugs.debian.org. Full text and rfc822 format available.

Severity set to `important' from `normal' Request was from Adam Porter <adam@alphapapa.net> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Chuan-kai Lin <cklin@debian.org>:
Bug#252896; Package fam. Full text and rfc822 format available.

Acknowledgement sent to Kurt Roeckx <kurt@roeckx.be>:
Extra info received and forwarded to list. Copy sent to Chuan-kai Lin <cklin@debian.org>. Full text and rfc822 format available.

Message #55 received at 252896@bugs.debian.org (full text, mbox):

From: Kurt Roeckx <kurt@roeckx.be>
To: 252896@bugs.debian.org
Subject: famd: Uses 100% CPU.
Date: Tue, 6 Mar 2007 18:39:19 +0100
Hi,

I've been asked to forward this:
=====
hi,


Looking at ..
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=252896

and what I recently noticed on my work laptop system ..

everytime I restart famd, it binds to a random port number. Now at a
certain
moment it was bound to 631 which is ipp port number and crossover office
tried to communicate to this port and retried after each failure.

Result .. cpu load is 100 %

Solution .. fam should not bind to a random port < 1024 ...
====


Kurt




Information forwarded to debian-bugs-dist@lists.debian.org, Chuan-kai Lin <cklin@debian.org>:
Bug#252896; Package fam. Full text and rfc822 format available.

Acknowledgement sent to alecs1 <nuorama@gmail.com>:
Extra info received and forwarded to list. Copy sent to Chuan-kai Lin <cklin@debian.org>. Full text and rfc822 format available.

Message #60 received at 252896@bugs.debian.org (full text, mbox):

From: alecs1 <nuorama@gmail.com>
To: 252896@bugs.debian.org
Subject: Raise the severity?
Date: Sat, 10 May 2008 20:56:05 +0300
	Is raising the severity a good thing? Leaving the computer to work and 
finding out there is no progress because famd took over the processor is 
important. I vote for a higher severity, but I don't know how much that 
matters for having the fix come faster.
	In the last months this problems of fam happens many times a day, so often 
that I think of disabling it (I don't know how this is going to affect 
programs like amarok).

-- 
alecs




Information forwarded to debian-bugs-dist@lists.debian.org, Chuan-kai Lin <cklin@debian.org>:
Bug#252896; Package fam. Full text and rfc822 format available.

Acknowledgement sent to Paul Sommer <paul1@paul-sommer.de>:
Extra info received and forwarded to list. Copy sent to Chuan-kai Lin <cklin@debian.org>. Full text and rfc822 format available.

Message #65 received at 252896@bugs.debian.org (full text, mbox):

From: Paul Sommer <paul1@paul-sommer.de>
To: 252896@bugs.debian.org
Subject: Re: fam uses 100% of CPU
Date: Fri, 25 Jul 2008 00:27:39 +0200
As the fam maintainer (or is it the debian package maintainer? I don't now) did not fix that bug
for several years now I gave up waiting for a solution.

I am not a linux guru at all and this solution may be kinda home-style cooking, but for me it works.

1. Create a file named famdguard in a directory of your choice <YourDir> with the following content:
--- snip --------------------------------------------------------
#!/bin/sh
set -x
COUNT=0
# init the loop control variable
USAGE=100

# Check three times if the famd process is above xx%
# Restart fam if that is the case.
# Set MAXUSAGE to 80 for a single core machine
# Set it to 45 for a dual core machine (one processor completely used)
# Set it to 22 for a quad core machine (one processor completely used)
MAXUSAGE=45
while [ 0$USAGE -gt $MAXUSAGE ]; do
  # get the cpu usage for the fam process
  USAGE=`ps -eo pcpu,pid -o comm= | sort -k1 -n -r | grep famd | awk '{ print $1 }'`
  # remove the fractional part of the cpu usage value
  USAGE=${USAGE%%.*}

  # Increment COUNT if fam's cpu usage is above MAXUSAGE
  [ 0$USAGE -gt $MAXUSAGE ] && COUNT=`expr $COUNT + 1`
  if [ $COUNT -gt 2 ]; then
    # Three times high CPU usage. Stop and Restart famd
    /etc/init.d/fam stop
    # Check, if it was successfull or try to kill famd
    ps -e | grep famd
    [ $? -eq 0 ] && killall -9 famd
    # Restart fam
    /etc/init.d/fam start
    exit
  fi
  # Wait some time before the next loop
  sleep 30
done
--- snap --------------------------------------------------------

This file checks for the CPU usage of fam. 
If it is above the MAXUSAGE it checks two times more with a delay of 30 seconds. 
If CPU usage is above MAXUSAGE 3 times the fam deamon is stopped and started again.

2. make that file executable
$ chmod +x <YourDir>/famdguard

3. add the following line into your /etc/crontab to perform the check every 10 minutes

# Check for famd running wild
*/10 * * * *   root       /<YourDir>/famdguard






Information forwarded to debian-bugs-dist@lists.debian.org, Chuan-kai Lin <cklin@debian.org>:
Bug#252896; Package fam. Full text and rfc822 format available.

Acknowledgement sent to Paul Sommer <paul1@paul-sommer.de>:
Extra info received and forwarded to list. Copy sent to Chuan-kai Lin <cklin@debian.org>. Full text and rfc822 format available.

Message #70 received at 252896@bugs.debian.org (full text, mbox):

From: Paul Sommer <paul1@paul-sommer.de>
To: 252896@bugs.debian.org
Subject: Re: fam uses 100% of CPU
Date: Fri, 25 Jul 2008 00:32:37 +0200
I had a mistake in my last post.

Please omit the second line (the one that contains "set -x") from the file famdguard.

--
Paul




Information forwarded to debian-bugs-dist@lists.debian.org, Chuan-kai Lin <cklin@debian.org>:
Bug#252896; Package fam. (Sat, 02 May 2009 07:18:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Axel K. Stammler" <axst@users.sourceforge.net>:
Extra info received and forwarded to list. Copy sent to Chuan-kai Lin <cklin@debian.org>. (Sat, 02 May 2009 07:18:02 GMT) Full text and rfc822 format available.

Message #75 received at 252896@bugs.debian.org (full text, mbox):

From: "Axel K. Stammler" <axst@users.sourceforge.net>
To: Debian Bug Tracking System <252896@bugs.debian.org>
Subject: fam: runs at max. for at least an hour w/o stopping or logging anything
Date: Sat, 02 May 2009 09:14:20 +0200
Package: fam
Version: 2.7.0-13.3
Followup-For: Bug #252896

I think at least some log messages should be provided, especially in such a case. Can
logging be configured?

At least 4 or 5 bug reports have a very similar subject line, this makes bug reporting
more difficult.

-- System Information:
Debian Release: 5.0.1
  APT prefers stable
  APT policy: (500, 'stable')
Architecture: i386 (i686)

Kernel: Linux 2.6.29.1 (SMP w/1 CPU core; PREEMPT)
Locale: LANG=C, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages fam depends on:
ii  libc6                        2.7-18      GNU C Library: Shared libraries
ii  libgcc1                      1:4.3.2-1.1 GCC support library
ii  libstdc++6                   4.3.2-1.1   The GNU Standard C++ Library v3
ii  lsb-base                     3.2-20      Linux Standard Base 3.2 init scrip
ii  portmap                      6.0-9       RPC port mapper
ii  update-inetd                 4.31        inetd configuration file updater

fam recommends no packages.

fam suggests no packages.

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Chuan-kai Lin <cklin@debian.org>:
Bug#252896; Package fam. (Sat, 06 Jun 2009 14:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to forum+debian@km.mydyn.de:
Extra info received and forwarded to list. Copy sent to Chuan-kai Lin <cklin@debian.org>. (Sat, 06 Jun 2009 14:00:03 GMT) Full text and rfc822 format available.

Message #80 received at 252896@bugs.debian.org (full text, mbox):

From: "Debian" <forum+debian@km.mydyn.de>
To: 252896@bugs.debian.org
Cc: paul1@paul-sommer.de
Subject: famd problem must be solved!
Date: Sat, 6 Jun 2009 15:54:28 +0200 (CEST)
Hello,

i reported my problems with famd primary in bug 275988.

It is nice that Paul has written this monitoring script, but i don't want to use it.
My opinion is, that it is complete crazy to use a monitoring for a monitoring daemon!

WHY this is a unsolved problem for so many years?
I seems to exist since 2004 for more than 5 years - that's unbelievable!!!

O.K. it is not easy if you want to debug such an sporadic error.
But from my point of view this is not the right way to solve this bug.
Specially when it is obvious, that there is no progress.

Why can i only read about this problem in Debian based systems?
So just take again fresh original sources and rebuild this package!

I am really convinced in using debian, but such "problems forever" are really
annoying!
When the maintainer will not do anything, why is he the maintainer?

There is also another similar problem with the driver for analog joysticks (518815).
It is also only Debian where this is not working, and the maintainer will not do
anything.
Something is going wrong here in Debian.
We should search another place to point out this problem.

So please, what can we do so that a solution will come?

Regards
Karsten






Information forwarded to debian-bugs-dist@lists.debian.org, Chuan-kai Lin <cklin@debian.org>:
Bug#252896; Package fam. (Fri, 03 Jul 2009 10:39:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Gerfried Fuchs <rhonda@deb.at>:
Extra info received and forwarded to list. Copy sent to Chuan-kai Lin <cklin@debian.org>. (Fri, 03 Jul 2009 10:39:05 GMT) Full text and rfc822 format available.

Message #85 received at 252896@bugs.debian.org (full text, mbox):

From: Gerfried Fuchs <rhonda@deb.at>
To: Maggioni Marcello <voloterreno@tin.it>, 252896@bugs.debian.org
Subject: Re: Bug#252896: fam: Maybe here a solution
Date: Fri, 3 Jul 2009 12:35:09 +0200
	Hi!

* Maggioni Marcello <voloterreno@tin.it> [2004-11-14 21:00:46 CET]:
> Hi guys , I've found this on SGI Bugzilla :
> 
> http://oss.sgi.com/bugzilla/show_bug.cgi?id=158
> 
> The DNotify seems to be the cause of the problem , and here the solution
> (I don't know if works , I haven't tried it) :
> 
> http://oss.sgi.com/projects/fam/mail_archive/200301/msg00011.html
> 
> In this link is suggested to link FAMD with -lrt -lpthread in order to
> avoid this bug.

 That message is perfect and sounds extremely convincing that this would
fix the bug - and it really makes me wonder if the maintainer of the
package is still around. Chuan-kai Lin, if you are still around please
give me a message. I will be doing an NMU to fix this long-standing
issue which is becoming a real PITA at my current work place too and it
will get linked against -lrt -lpthread.

 Of course I will offer the interdiff once I get the thing done here and
wait some few days before doing the actual NMU. I am also willing to run
the patch through the release team to get the fix into stable and
oldstable.

 Thanks to Maggioni for finding the message, and sorry to everyone for
not having jumped in earlier.

 So long!
Rhonda




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#252896; Package fam. (Fri, 03 Jul 2009 13:27:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Chuan-kai Lin <cklin@debian.org>:
Extra info received and forwarded to list. (Fri, 03 Jul 2009 13:27:05 GMT) Full text and rfc822 format available.

Message #90 received at 252896@bugs.debian.org (full text, mbox):

From: Chuan-kai Lin <cklin@debian.org>
To: Gerfried Fuchs <rhonda@deb.at>, 252896@bugs.debian.org
Subject: Re: Bug#252896: fam: Maybe here a solution
Date: Fri, 3 Jul 2009 06:25:21 -0700
On Fri, Jul 03, 2009 at 12:35:09PM +0200, Gerfried Fuchs wrote:
>  That message is perfect and sounds extremely convincing that this would
> fix the bug - and it really makes me wonder if the maintainer of the
> package is still around. Chuan-kai Lin, if you are still around please
> give me a message. I will be doing an NMU to fix this long-standing
> issue which is becoming a real PITA at my current work place too and it
> will get linked against -lrt -lpthread.

Yeah, I have been really bad at getting on top of this issue.  Sorry
about that.  I promise I will look into it this weekend and make an
upload if it seems to work.

-- 
Chuan-kai Lin
http://web.cecs.pdx.edu/~cklin/




Reply sent to Chuan-kai Lin <cklin@debian.org>:
You have taken responsibility. (Tue, 07 Jul 2009 00:57:04 GMT) Full text and rfc822 format available.

Notification sent to Cristiano De Michele <demichel@na.infn.it>:
Bug acknowledged by developer. (Tue, 07 Jul 2009 00:57:05 GMT) Full text and rfc822 format available.

Message #95 received at 252896-close@bugs.debian.org (full text, mbox):

From: Chuan-kai Lin <cklin@debian.org>
To: 252896-close@bugs.debian.org
Subject: Bug#252896: fixed in fam 2.7.0-14
Date: Tue, 07 Jul 2009 00:32:04 +0000
Source: fam
Source-Version: 2.7.0-14

We believe that the bug you reported is fixed in the latest version of
fam, which is due to be installed in the Debian FTP archive:

fam_2.7.0-14.diff.gz
  to pool/main/f/fam/fam_2.7.0-14.diff.gz
fam_2.7.0-14.dsc
  to pool/main/f/fam/fam_2.7.0-14.dsc
fam_2.7.0-14_i386.deb
  to pool/main/f/fam/fam_2.7.0-14_i386.deb
libfam-dev_2.7.0-14_i386.deb
  to pool/main/f/fam/libfam-dev_2.7.0-14_i386.deb
libfam0_2.7.0-14_i386.deb
  to pool/main/f/fam/libfam0_2.7.0-14_i386.deb
libfam0c102_2.7.0-14_all.deb
  to pool/main/f/fam/libfam0c102_2.7.0-14_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 252896@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Chuan-kai Lin <cklin@debian.org> (supplier of updated fam package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 06 Jul 2009 15:33:15 -0700
Source: fam
Binary: fam libfam0 libfam0c102 libfam-dev
Architecture: source all i386
Version: 2.7.0-14
Distribution: unstable
Urgency: low
Maintainer: Chuan-kai Lin <cklin@debian.org>
Changed-By: Chuan-kai Lin <cklin@debian.org>
Description: 
 fam        - File Alteration Monitor
 libfam-dev - Client library to control the FAM daemon - development files
 libfam0    - Client library to control the FAM daemon
 libfam0c102 - Dummy package for libfam0
Closes: 252896 377039 435267 435274 470071 500387 501081 527312
Changes: 
 fam (2.7.0-14) unstable; urgency=low
 .
   * Update to Standards-Version 3.8.2.0
   * Upgrade build dependency to automake-1.10
   * Upgrade to debhelper compatibility level 7
   * Declare ${misc:Depends} for debhelper
   * Update copyright file with copyright notice and applicable GPL and
     LGPL version numbers
   * Set -e flag in preinst
   * Apply patch from Glenn Wurster to eliminate partial socket send
     assertion error (Closes: #435274)
   * Link famd against librt and libpthread to solve 100% CPU usage problem;
     suggested by Wil Evers on the fam mailing list
     (http://oss.sgi.com/projects/fam/mail_archive/200301/msg00011.html)
     (Closes: #252896, #500387, #501081)
   * Add init.d status support (patch from Peter Eisentraut)
     (Closes: #527312)
   * Fix fam.conf typo and comment-out default settings (Closes: #470071)
   * Allow user to specify as a command-line argument which port should
     famd bind (patch from Glenn Wurster) (Closes: #435267)
   * Ensure init.d start does not fail when famd is already running
     (Closes: #377039)
Checksums-Sha1: 
 ab9ba22e5f9f43935c48c6ce8bb8616692a4e8bc 1057 fam_2.7.0-14.dsc
 31daa99f84565fd43406c2800a23a2a445069186 27221 fam_2.7.0-14.diff.gz
 37baea199b2b43ea6dd9f4871e4a51d0ff8182fa 13442 libfam0c102_2.7.0-14_all.deb
 bdbdaa796b4217ebbfc15c197183d5c90f8dbd87 70742 fam_2.7.0-14_i386.deb
 e8d9e89d647e7e1d12bf123f985825b2292317df 28360 libfam0_2.7.0-14_i386.deb
 947ebf2ce1fd2a1a02cd658840282babca909e42 38598 libfam-dev_2.7.0-14_i386.deb
Checksums-Sha256: 
 3bd42b7b086d9d1cfdfb585685517cb4e3f4ce9df835edc8aa6e4c4e8c2ab9de 1057 fam_2.7.0-14.dsc
 9c2e798daf03564c0f63537760ef398bef99387dbdeb4784d267b57c3163e831 27221 fam_2.7.0-14.diff.gz
 6aca0e8e87c699819f2e1b7b255b48d74e343d9915499873e342a9655bef00ae 13442 libfam0c102_2.7.0-14_all.deb
 fb7d947930a5b8b152f6ef9260684ad65908c627535e298c65d95348e2468641 70742 fam_2.7.0-14_i386.deb
 baf1c96f91857f28f1e93e2abde703f422d6f699beaa9d8a4020ef4a027ee477 28360 libfam0_2.7.0-14_i386.deb
 657bdaec951b14656fbe2155ff886ba8b06a888321f217b4bdefbcbc801e738a 38598 libfam-dev_2.7.0-14_i386.deb
Files: 
 00616c7ff1d40a2636f03eddd0d65f4e 1057 admin optional fam_2.7.0-14.dsc
 22c37d5b17e7ac077cc786ea857bee92 27221 admin optional fam_2.7.0-14.diff.gz
 60117753dd13acb4982ed899542f91cd 13442 libs optional libfam0c102_2.7.0-14_all.deb
 b1bc96fbd2dceb1977e1a6345f6e1bba 70742 admin optional fam_2.7.0-14_i386.deb
 ae49995c889a6e326eb3d46b36723612 28360 libs optional libfam0_2.7.0-14_i386.deb
 fffbdd7b0922597a32c5945bafbabdc5 38598 libdevel optional libfam-dev_2.7.0-14_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkpSfS8ACgkQqq7AEt0PYmgViQCg3EmSsJB4vqaKqVbY4siiPzON
1uQAn2rkbsZWe4oEsMsGS60AWCb7oYDi
=vS6Y
-----END PGP SIGNATURE-----





Reply sent to Chuan-kai Lin <cklin@debian.org>:
You have taken responsibility. (Tue, 07 Jul 2009 00:57:05 GMT) Full text and rfc822 format available.

Notification sent to John Goerzen <jgoerzen@complete.org>:
Bug acknowledged by developer. (Tue, 07 Jul 2009 00:57:05 GMT) Full text and rfc822 format available.

Reply sent to Chuan-kai Lin <cklin@debian.org>:
You have taken responsibility. (Tue, 07 Jul 2009 00:57:06 GMT) Full text and rfc822 format available.

Notification sent to Christian Hudon <chrish@debian.org>:
Bug acknowledged by developer. (Tue, 07 Jul 2009 00:57:06 GMT) Full text and rfc822 format available.

Reply sent to Chuan-kai Lin <cklin@debian.org>:
You have taken responsibility. (Tue, 07 Jul 2009 00:57:06 GMT) Full text and rfc822 format available.

Notification sent to gary@extremeground.com:
Bug acknowledged by developer. (Tue, 07 Jul 2009 00:57:06 GMT) Full text and rfc822 format available.

Reply sent to Chuan-kai Lin <cklin@debian.org>:
You have taken responsibility. (Tue, 07 Jul 2009 00:57:07 GMT) Full text and rfc822 format available.

Notification sent to spiorf <spiorf@autistici.org>:
Bug acknowledged by developer. (Tue, 07 Jul 2009 00:57:07 GMT) Full text and rfc822 format available.

Reply sent to Chuan-kai Lin <cklin@debian.org>:
You have taken responsibility. (Tue, 07 Jul 2009 00:57:07 GMT) Full text and rfc822 format available.

Notification sent to Helmut Wollmersdorfer <helmut@wollmersdorfer.at>:
Bug acknowledged by developer. (Tue, 07 Jul 2009 00:57:07 GMT) Full text and rfc822 format available.

Reply sent to Chuan-kai Lin <cklin@debian.org>:
You have taken responsibility. (Tue, 07 Jul 2009 00:57:08 GMT) Full text and rfc822 format available.

Notification sent to John Goerzen <jgoerzen@complete.org>:
Bug acknowledged by developer. (Tue, 07 Jul 2009 00:57:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Chuan-kai Lin <cklin@debian.org>:
Bug#252896; Package fam. (Thu, 09 Jul 2009 12:33:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Gerfried Fuchs <rhonda@deb.at>:
Extra info received and forwarded to list. Copy sent to Chuan-kai Lin <cklin@debian.org>. (Thu, 09 Jul 2009 12:33:02 GMT) Full text and rfc822 format available.

Message #130 received at 252896@bugs.debian.org (full text, mbox):

From: Gerfried Fuchs <rhonda@deb.at>
To: Chuan-kai Lin <cklin@debian.org>
Cc: 252896@bugs.debian.org
Subject: Re: Bug#252896: fixed in fam 2.7.0-14
Date: Thu, 9 Jul 2009 14:16:05 +0200
* Chuan-kai Lin <cklin@debian.org> [2009-07-07 02:32:04 CEST]:
> Source: fam
> Version: 2.7.0-14
> Distribution: unstable
> Changes: 
>  fam (2.7.0-14) unstable; urgency=low
>  .
>    * Link famd against librt and libpthread to solve 100% CPU usage problem;
>      suggested by Wil Evers on the fam mailing list
>      (http://oss.sgi.com/projects/fam/mail_archive/200301/msg00011.html)
>      (Closes: #252896, #500387, #501081)

 Thanks for catching up! Do you plan to fix that also in stable (and ...
propably oldstable)? If you need any helping hands for that please let
me know, this really needs to get addressed in (old)stable, too.

 Thanks though for doing it!
Rhonda




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#252896; Package fam. (Thu, 09 Jul 2009 21:57:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Chuan-kai Lin <cklin@debian.org>:
Extra info received and forwarded to list. (Thu, 09 Jul 2009 21:57:02 GMT) Full text and rfc822 format available.

Message #135 received at 252896@bugs.debian.org (full text, mbox):

From: Chuan-kai Lin <cklin@debian.org>
To: Gerfried Fuchs <rhonda@deb.at>
Cc: 252896@bugs.debian.org
Subject: Re: Bug#252896: fixed in fam 2.7.0-14
Date: Thu, 9 Jul 2009 14:53:19 -0700
On Thu, Jul 09, 2009 at 02:16:05PM +0200, Gerfried Fuchs wrote:
> * Chuan-kai Lin <cklin@debian.org> [2009-07-07 02:32:04 CEST]:
> > Source: fam
> > Version: 2.7.0-14
> > Distribution: unstable
> > Changes: 
> >  fam (2.7.0-14) unstable; urgency=low
> >  .
> >    * Link famd against librt and libpthread to solve 100% CPU usage problem;
> >      suggested by Wil Evers on the fam mailing list
> >      (http://oss.sgi.com/projects/fam/mail_archive/200301/msg00011.html)
> >      (Closes: #252896, #500387, #501081)
> 
>  Thanks for catching up! Do you plan to fix that also in stable (and ...
> propably oldstable)? If you need any helping hands for that please let
> me know, this really needs to get addressed in (old)stable, too.

Thanks for prodding me into working on this long standing problem!

There is a pretty stringent standard in place for uploads to stable and
old-stable [1], and I am not sure we can get over that bar.  There may
be some debate whether this problem is a "truly critical functionality
problem", and as of now there is little evidence whether the fix
actually works as intended.  Once -14 enters testing and there are no
reports of 100% CPU usage in a month or two, we can then talk to the
stable release team...

[1] http://www.debian.org/doc/manuals/developers-reference/pkgs.html#upload-stable

-- 
Chuan-kai Lin
http://web.cecs.pdx.edu/~cklin/




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 16 Aug 2009 07:27:19 GMT) Full text and rfc822 format available.

Bug unarchived. Request was from rhonda@anguilla.debian.or.at (Gerfried Fuchs) to control@bugs.debian.org. (Mon, 02 Nov 2009 11:12:19 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Chuan-kai Lin <cklin@debian.org>:
Bug#252896; Package fam. (Tue, 03 Nov 2009 15:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Xavier Brochard <xavier@alternatif.org>:
Extra info received and forwarded to list. Copy sent to Chuan-kai Lin <cklin@debian.org>. (Tue, 03 Nov 2009 15:33:04 GMT) Full text and rfc822 format available.

Message #144 received at 252896@bugs.debian.org (full text, mbox):

From: Xavier Brochard <xavier@alternatif.org>
To: 252896@bugs.debian.org
Subject: Re: Bug#252896: fixed in fam 2.7.0-14
Date: Tue, 3 Nov 2009 15:49:42 +0100
> Once -14 enters testing and there are no
>reports of 100% CPU usage in a month or two, we can then talk to the
>stable release team...

Hello

On a Terminal Server Debian Lenny installation, famd suddenly start to uses 
100% of CPU. It start to happen around september. It never happened before (at 
least, none of the users reports problems). 
Lenny is setup since august 2008 and regularly updated.


Xavier
xavier@alternatif.org




Information forwarded to debian-bugs-dist@lists.debian.org, Chuan-kai Lin <cklin@debian.org>:
Bug#252896; Package fam. (Tue, 03 Nov 2009 18:03:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to forum+debian@km.mydyn.de:
Extra info received and forwarded to list. Copy sent to Chuan-kai Lin <cklin@debian.org>. (Tue, 03 Nov 2009 18:03:08 GMT) Full text and rfc822 format available.

Message #149 received at 252896@bugs.debian.org (full text, mbox):

From: "Debian" <forum+debian@km.mydyn.de>
To: "Xavier Brochard" <xavier@alternatif.org>
Cc: 252896@bugs.debian.org, cklin@debian.org, rhonda@deb.at
Subject: Re: Bug#252896: fixed in fam 2.7.0-14
Date: Tue, 3 Nov 2009 18:11:31 +0100 (CET)
I have the same problem - but nobody will do anything. :-(
There is no answer to my mail ...

Maybe we should open a new Bug referencing this old one?


----------------------------- Ursprüngliche Nachricht -----------------------------
Betreff: Re: Bug#252896: fixed in fam 2.7.0-14
Von:     "Debian" <debian@km.mydyn.de>
Datum:   So, 1.11.2009, 12:54
An:      "Chuan-kai Lin" <cklin@debian.org>
         252896@bugs.debian.org
Cc:      "Gerfried Fuchs" <rhonda@deb.at>
-----------------------------------------------------------------------------------

Can someone say if a solution will come for this problem in Etch?

I am running to go crazy with this bug.
Just working with some jobs that makes some load on the filesystem and
famd hangs and is going to 100% cpu usage.
In this case i must kill famd as root.
To solve the problem at all i see the only solution to deactivate famd
at all! :-(

Or how can i patch and recompile famd to solve the problem?

It seems that the last "offical" version 2.7.0 is used, so i don't
undestand how to solve this bug.
What must i do to get a stable and working version of famd in Etch ?
Please help.

Best Regards
Karsten




>> Once -14 enters testing and there are no
>>reports of 100% CPU usage in a month or two, we can then talk to the
>>stable release team...
>
> Hello
>
> On a Terminal Server Debian Lenny installation, famd suddenly start to uses
> 100% of CPU. It start to happen around september. It never happened before (at
> least, none of the users reports problems).
> Lenny is setup since august 2008 and regularly updated.
>
>
> Xavier
> xavier@alternatif.org






Information forwarded to debian-bugs-dist@lists.debian.org, Chuan-kai Lin <cklin@debian.org>:
Bug#252896; Package fam. (Tue, 03 Nov 2009 18:39:43 GMT) Full text and rfc822 format available.

Acknowledgement sent to Chuan-kai Lin <cklin@cs.pdx.edu>:
Extra info received and forwarded to list. Copy sent to Chuan-kai Lin <cklin@debian.org>. (Tue, 03 Nov 2009 18:39:43 GMT) Full text and rfc822 format available.

Message #154 received at 252896@bugs.debian.org (full text, mbox):

From: Chuan-kai Lin <cklin@cs.pdx.edu>
To: Xavier Brochard <xavier@alternatif.org>, 252896@bugs.debian.org
Subject: Re: Bug#252896: fixed in fam 2.7.0-14
Date: Tue, 3 Nov 2009 09:51:15 -0800
On Tue, Nov 03, 2009 at 03:49:42PM +0100, Xavier Brochard wrote:
> > Once -14 enters testing and there are no
> >reports of 100% CPU usage in a month or two, we can then talk to the
> >stable release team...
> 
> Hello
> 
> On a Terminal Server Debian Lenny installation, famd suddenly start to uses 
> 100% of CPU. It start to happen around september. It never happened before (at 
> least, none of the users reports problems). 
> Lenny is setup since august 2008 and regularly updated.

If I understand you correctly, you are experiencing this problem in
2.7.0-13.3, and you are _not_ reporting that the 100% CPU usage bug
reappears in a version beyond 2.7.0-14.

Is this description accurate?

-- 
Chuan-kai Lin
http://web.cecs.pdx.edu/~cklin/




Information forwarded to debian-bugs-dist@lists.debian.org, Chuan-kai Lin <cklin@debian.org>:
Bug#252896; Package fam. (Tue, 03 Nov 2009 22:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Chuan-kai Lin <cklin@cs.pdx.edu>:
Extra info received and forwarded to list. Copy sent to Chuan-kai Lin <cklin@debian.org>. (Tue, 03 Nov 2009 22:21:03 GMT) Full text and rfc822 format available.

Message #159 received at 252896@bugs.debian.org (full text, mbox):

From: Chuan-kai Lin <cklin@cs.pdx.edu>
To: Xavier Brochard <xavier@alternatif.org>, 252896@bugs.debian.org
Subject: Re: Bug#252896: fixed in fam 2.7.0-14
Date: Tue, 3 Nov 2009 14:02:19 -0800
On Tue, Nov 03, 2009 at 09:50:19PM +0100, Xavier Brochard wrote:
> You're perfectly right. 
> I'm sorry, I should have provided more iformations.

That is alright.  Since there has been no reports of regression and
re-occurrences of the 100% CPU usage bug after the fix in -14, I will
talk to Gerfried Fuchs and present a case to the release team for
backporting this fix to stable (lenny) and old-stable (etch).

-- 
Chuan-kai Lin
http://web.cecs.pdx.edu/~cklin/




Information forwarded to debian-bugs-dist@lists.debian.org, Chuan-kai Lin <cklin@debian.org>:
Bug#252896; Package fam. (Wed, 04 Nov 2009 16:24:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to debian@km.mydyn.de:
Extra info received and forwarded to list. Copy sent to Chuan-kai Lin <cklin@debian.org>. (Wed, 04 Nov 2009 16:24:04 GMT) Full text and rfc822 format available.

Message #164 received at 252896@bugs.debian.org (full text, mbox):

From: "Debian" <debian@km.mydyn.de>
To: "Chuan-kai Lin" <cklin@cs.pdx.edu>, 252896@bugs.debian.org
Cc: "Xavier Brochard" <xavier@alternatif.org>
Subject: Re: Bug#252896: fixed in fam 2.7.0-14
Date: Wed, 4 Nov 2009 10:27:55 +0100 (CET)
I am driving also a server with old-stable (etch).
At this time it is up for 124 days without any problem.
I could never notice a problem with famd in old-stable for a long time.
But the reason is maybe that there is no KDE running.
It seems that this bug only occurs when there is heavy I/O load on the hard disk.
Maybe there are some more applications in KDE which are using famd.

But it is now really time to release this fix in the stable versions.

Thank you.
Regards Karsten






Information forwarded to debian-bugs-dist@lists.debian.org, Chuan-kai Lin <cklin@debian.org>:
Bug#252896; Package fam. (Tue, 24 Nov 2009 13:36:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Xavier Brochard <xavier@alternatif.org>:
Extra info received and forwarded to list. Copy sent to Chuan-kai Lin <cklin@debian.org>. (Tue, 24 Nov 2009 13:36:09 GMT) Full text and rfc822 format available.

Message #169 received at 252896@bugs.debian.org (full text, mbox):

From: Xavier Brochard <xavier@alternatif.org>
To: "Chuan-kai Lin" <cklin@cs.pdx.edu>
Cc: 252896@bugs.debian.org
Subject: Re: Bug#252896: fixed in fam 2.7.0-14
Date: Tue, 24 Nov 2009 14:29:45 +0100
Le mardi 3 novembre 2009 23:02:19, Chuan-kai Lin a écrit :
> On Tue, Nov 03, 2009 at 09:50:19PM +0100, Xavier Brochard wrote:
> > You're perfectly right.
> > I'm sorry, I should have provided more iformations.
> 
> That is alright.  Since there has been no reports of regression and
> re-occurrences of the 100% CPU usage bug after the fix in -14, I will
> talk to Gerfried Fuchs and present a case to the release team for
> backporting this fix to stable (lenny) and old-stable (etch).

Hello

Any progress on backporting fam 2.7.0-14 ?

thanks for your past help, I forgot to thank you sorry.
Xavier
xavier@alternatif.org




Information forwarded to debian-bugs-dist@lists.debian.org, Chuan-kai Lin <cklin@debian.org>:
Bug#252896; Package fam. (Tue, 24 Nov 2009 17:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Chuan-kai Lin <cklin@cs.pdx.edu>:
Extra info received and forwarded to list. Copy sent to Chuan-kai Lin <cklin@debian.org>. (Tue, 24 Nov 2009 17:27:03 GMT) Full text and rfc822 format available.

Message #174 received at 252896@bugs.debian.org (full text, mbox):

From: Chuan-kai Lin <cklin@cs.pdx.edu>
To: Xavier Brochard <xavier@alternatif.org>
Cc: 252896@bugs.debian.org
Subject: Re: Bug#252896: fixed in fam 2.7.0-14
Date: Tue, 24 Nov 2009 09:09:59 -0800
On Tue, Nov 24, 2009 at 02:29:45PM +0100, Xavier Brochard wrote:
> Any progress on backporting fam 2.7.0-14 ?

I uploaded 2.7.0-13.3+lenny1 and 2.7.0-12+etch1 about 10 days ago.  Both
packages have been accepted by the Stable release team, and they are now
pending processing.  You can track their progress on the
proposed-updates [1] and the oldstable-proposed-updates [2] pages, or
follow the stable [3] and oldstable [4] update requests.

[1] http://release.debian.org/proposed-updates/stable.html
[2] http://release.debian.org/proposed-updates/oldstable.html
[3] http://bugs.debian.org/555804
[4] http://bugs.debian.org/556777

-- 
Chuan-kai Lin
http://web.cecs.pdx.edu/~cklin/




Reply sent to Chuan-kai Lin <cklin@debian.org>:
You have taken responsibility. (Sat, 05 Dec 2009 21:24:03 GMT) Full text and rfc822 format available.

Notification sent to Cristiano De Michele <demichel@na.infn.it>:
Bug acknowledged by developer. (Sat, 05 Dec 2009 21:24:03 GMT) Full text and rfc822 format available.

Message #179 received at 252896-close@bugs.debian.org (full text, mbox):

From: Chuan-kai Lin <cklin@debian.org>
To: 252896-close@bugs.debian.org
Subject: Bug#252896: fixed in fam 2.7.0-13.3+lenny1
Date: Sat, 05 Dec 2009 21:21:53 +0000
Source: fam
Source-Version: 2.7.0-13.3+lenny1

We believe that the bug you reported is fixed in the latest version of
fam, which is due to be installed in the Debian FTP archive:

fam_2.7.0-13.3+lenny1.diff.gz
  to main/f/fam/fam_2.7.0-13.3+lenny1.diff.gz
fam_2.7.0-13.3+lenny1.dsc
  to main/f/fam/fam_2.7.0-13.3+lenny1.dsc
fam_2.7.0-13.3+lenny1_i386.deb
  to main/f/fam/fam_2.7.0-13.3+lenny1_i386.deb
libfam-dev_2.7.0-13.3+lenny1_i386.deb
  to main/f/fam/libfam-dev_2.7.0-13.3+lenny1_i386.deb
libfam0_2.7.0-13.3+lenny1_i386.deb
  to main/f/fam/libfam0_2.7.0-13.3+lenny1_i386.deb
libfam0c102_2.7.0-13.3+lenny1_all.deb
  to main/f/fam/libfam0c102_2.7.0-13.3+lenny1_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 252896@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Chuan-kai Lin <cklin@debian.org> (supplier of updated fam package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 11 Nov 2009 16:00:12 -0800
Source: fam
Binary: fam libfam0 libfam0c102 libfam-dev
Architecture: source all i386
Version: 2.7.0-13.3+lenny1
Distribution: stable
Urgency: low
Maintainer: Chuan-kai Lin <cklin@debian.org>
Changed-By: Chuan-kai Lin <cklin@debian.org>
Description: 
 fam        - File Alteration Monitor
 libfam-dev - Client library to control the FAM daemon - development files
 libfam0    - Client library to control the FAM daemon
 libfam0c102 - Dummy package for libfam0
Closes: 252896 500387 501081
Changes: 
 fam (2.7.0-13.3+lenny1) stable; urgency=low
 .
   * Link famd against librt and libpthread to solve 100% CPU usage
     problem; suggested by Wil Evers on the fam mailing list
     (http://oss.sgi.com/projects/fam/mail_archive/200301/msg00011.html).
     Patch backported from 2.7.0-14 (Closes: #252896, #500387, #501081)
Checksums-Sha1: 
 255e17dfe81a400457fd7f4e48d4ccce2907978c 1055 fam_2.7.0-13.3+lenny1.dsc
 fa11e35bbab3a99b1e1c021491bef2bfb1056313 25101 fam_2.7.0-13.3+lenny1.diff.gz
 ffaedb21db805e5116a21c6c6f470e34f5ea735e 13072 libfam0c102_2.7.0-13.3+lenny1_all.deb
 7432ea1241830123785f3d436e02558ce16d9f10 70494 fam_2.7.0-13.3+lenny1_i386.deb
 f3285de2f8c4e102a889bef5db6d83e93dae6672 28080 libfam0_2.7.0-13.3+lenny1_i386.deb
 b5dd2a466a480d0e6cb535d2b10a13e9e6909a08 38636 libfam-dev_2.7.0-13.3+lenny1_i386.deb
Checksums-Sha256: 
 f1d0f4583c93404ca4de03ca3fa589a1e194520f555363a8077a0701120d170f 1055 fam_2.7.0-13.3+lenny1.dsc
 a4d3e88794f9646532fd46fc66eb0aff85b6d84d5c03bdb50d8923c4b59d2e99 25101 fam_2.7.0-13.3+lenny1.diff.gz
 209e869c24992f9eda4d28eb3007a284ef3f1db8fa5463ef8e99d17829cd1b97 13072 libfam0c102_2.7.0-13.3+lenny1_all.deb
 52c1f105f64ad775c783a6d4775d03a9fd3097783fa89b4977732976bf87b375 70494 fam_2.7.0-13.3+lenny1_i386.deb
 aea43b3338a76f778ecb48fd23d62c0390331beefc23f95a7061e067c7f8eb1e 28080 libfam0_2.7.0-13.3+lenny1_i386.deb
 f5568b8e568c349df40b30bc366a468352f323a1184931274f54ab00512f85a0 38636 libfam-dev_2.7.0-13.3+lenny1_i386.deb
Files: 
 8ab481bd689dce0cceea521144101231 1055 admin optional fam_2.7.0-13.3+lenny1.dsc
 a77a2dfeb19dbfc74c654125dcea697a 25101 admin optional fam_2.7.0-13.3+lenny1.diff.gz
 9f775d3579c673ed489cd6e6b795af11 13072 libs optional libfam0c102_2.7.0-13.3+lenny1_all.deb
 9618b84a72b99687300009e8678f6510 70494 admin optional fam_2.7.0-13.3+lenny1_i386.deb
 b8a47d1060bb069f97295da867e37ec7 28080 libs optional libfam0_2.7.0-13.3+lenny1_i386.deb
 19f1a97c3f57978bbc623bc11a00567b 38636 libdevel optional libfam-dev_2.7.0-13.3+lenny1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkr+I48ACgkQqq7AEt0PYmhGDwCgjJ7ySZaTo/UuPqqgs+HuTXT2
un0An1GdGWVy5rEAtkYo3FhCM8ZwOcMw
=dp6C
-----END PGP SIGNATURE-----





Reply sent to Chuan-kai Lin <cklin@debian.org>:
You have taken responsibility. (Sat, 05 Dec 2009 21:24:04 GMT) Full text and rfc822 format available.

Notification sent to John Goerzen <jgoerzen@complete.org>:
Bug acknowledged by developer. (Sat, 05 Dec 2009 21:24:04 GMT) Full text and rfc822 format available.

Reply sent to Chuan-kai Lin <cklin@debian.org>:
You have taken responsibility. (Sat, 05 Dec 2009 21:24:04 GMT) Full text and rfc822 format available.

Notification sent to Christian Hudon <chrish@debian.org>:
Bug acknowledged by developer. (Sat, 05 Dec 2009 21:24:04 GMT) Full text and rfc822 format available.

Reply sent to Chuan-kai Lin <cklin@debian.org>:
You have taken responsibility. (Sat, 05 Dec 2009 21:24:05 GMT) Full text and rfc822 format available.

Notification sent to gary@extremeground.com:
Bug acknowledged by developer. (Sat, 05 Dec 2009 21:24:05 GMT) Full text and rfc822 format available.

Reply sent to Chuan-kai Lin <cklin@debian.org>:
You have taken responsibility. (Sat, 05 Dec 2009 21:24:05 GMT) Full text and rfc822 format available.

Notification sent to spiorf <spiorf@autistici.org>:
Bug acknowledged by developer. (Sat, 05 Dec 2009 21:24:05 GMT) Full text and rfc822 format available.

Reply sent to Chuan-kai Lin <cklin@debian.org>:
You have taken responsibility. (Sat, 05 Dec 2009 21:24:06 GMT) Full text and rfc822 format available.

Notification sent to Helmut Wollmersdorfer <helmut@wollmersdorfer.at>:
Bug acknowledged by developer. (Sat, 05 Dec 2009 21:24:06 GMT) Full text and rfc822 format available.

Reply sent to Chuan-kai Lin <cklin@debian.org>:
You have taken responsibility. (Sat, 05 Dec 2009 21:24:06 GMT) Full text and rfc822 format available.

Notification sent to John Goerzen <jgoerzen@complete.org>:
Bug acknowledged by developer. (Sat, 05 Dec 2009 21:24:06 GMT) Full text and rfc822 format available.

Reply sent to Chuan-kai Lin <cklin@debian.org>:
You have taken responsibility. (Sat, 05 Dec 2009 22:15:10 GMT) Full text and rfc822 format available.

Notification sent to Cristiano De Michele <demichel@na.infn.it>:
Bug acknowledged by developer. (Sat, 05 Dec 2009 22:15:10 GMT) Full text and rfc822 format available.

Message #214 received at 252896-close@bugs.debian.org (full text, mbox):

From: Chuan-kai Lin <cklin@debian.org>
To: 252896-close@bugs.debian.org
Subject: Bug#252896: fixed in fam 2.7.0-12+etch1
Date: Sat, 05 Dec 2009 22:11:46 +0000
Source: fam
Source-Version: 2.7.0-12+etch1

We believe that the bug you reported is fixed in the latest version of
fam, which is due to be installed in the Debian FTP archive:

fam_2.7.0-12+etch1.diff.gz
  to main/f/fam/fam_2.7.0-12+etch1.diff.gz
fam_2.7.0-12+etch1.dsc
  to main/f/fam/fam_2.7.0-12+etch1.dsc
fam_2.7.0-12+etch1_i386.deb
  to main/f/fam/fam_2.7.0-12+etch1_i386.deb
libfam-dev_2.7.0-12+etch1_i386.deb
  to main/f/fam/libfam-dev_2.7.0-12+etch1_i386.deb
libfam0_2.7.0-12+etch1_i386.deb
  to main/f/fam/libfam0_2.7.0-12+etch1_i386.deb
libfam0c102_2.7.0-12+etch1_all.deb
  to main/f/fam/libfam0c102_2.7.0-12+etch1_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 252896@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Chuan-kai Lin <cklin@debian.org> (supplier of updated fam package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Wed, 11 Nov 2009 15:59:23 -0800
Source: fam
Binary: libfam0c102 libfam0 fam libfam-dev
Architecture: source i386 all
Version: 2.7.0-12+etch1
Distribution: oldstable
Urgency: low
Maintainer: Chuan-kai Lin <cklin@debian.org>
Changed-By: Chuan-kai Lin <cklin@debian.org>
Description: 
 fam        - File Alteration Monitor
 libfam-dev - Client library to control the FAM daemon - development files
 libfam0    - Client library to control the FAM daemon
 libfam0c102 - Dummy package for libfam0
Closes: 252896
Changes: 
 fam (2.7.0-12+etch1) oldstable; urgency=low
 .
   * Link famd against librt and libpthread to solve 100% CPU usage
     problem; suggested by Wil Evers on the fam mailing list
     (http://oss.sgi.com/projects/fam/mail_archive/200301/msg00011.html).
     Patch backported from 2.7.0-14 (Closes: #252896)
Files: 
 65dc73fc4e2d3c093791fd44e8212526 667 admin optional fam_2.7.0-12+etch1.dsc
 e11d60f5619963c7f60a614e4070afef 24004 admin optional fam_2.7.0-12+etch1.diff.gz
 8e0b8d33f5c40a207357acd88956421e 12616 libs optional libfam0c102_2.7.0-12+etch1_all.deb
 a8bb3bcbceed6f957bcd82a1b7e1f154 70796 admin optional fam_2.7.0-12+etch1_i386.deb
 4520bff4f03f755dcd8b0a2023694bc1 27944 libs optional libfam0_2.7.0-12+etch1_i386.deb
 14d2cd4b049e9bcfe6e58c6cafbb1965 39342 libdevel optional libfam-dev_2.7.0-12+etch1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkr+I3IACgkQqq7AEt0PYmjGUACgrZY1yDPqs8K5iKsCTiDUg/uQ
vVEAnRaaTQ0Uf/LJg+0uY3fS49pKm0fE
=I+Mf
-----END PGP SIGNATURE-----





Reply sent to Chuan-kai Lin <cklin@debian.org>:
You have taken responsibility. (Sat, 05 Dec 2009 22:15:11 GMT) Full text and rfc822 format available.

Notification sent to John Goerzen <jgoerzen@complete.org>:
Bug acknowledged by developer. (Sat, 05 Dec 2009 22:15:11 GMT) Full text and rfc822 format available.

Reply sent to Chuan-kai Lin <cklin@debian.org>:
You have taken responsibility. (Sat, 05 Dec 2009 22:15:11 GMT) Full text and rfc822 format available.

Notification sent to Christian Hudon <chrish@debian.org>:
Bug acknowledged by developer. (Sat, 05 Dec 2009 22:15:11 GMT) Full text and rfc822 format available.

Reply sent to Chuan-kai Lin <cklin@debian.org>:
You have taken responsibility. (Sat, 05 Dec 2009 22:15:12 GMT) Full text and rfc822 format available.

Notification sent to gary@extremeground.com:
Bug acknowledged by developer. (Sat, 05 Dec 2009 22:15:12 GMT) Full text and rfc822 format available.

Reply sent to Chuan-kai Lin <cklin@debian.org>:
You have taken responsibility. (Sat, 05 Dec 2009 22:15:12 GMT) Full text and rfc822 format available.

Notification sent to spiorf <spiorf@autistici.org>:
Bug acknowledged by developer. (Sat, 05 Dec 2009 22:15:12 GMT) Full text and rfc822 format available.

Reply sent to Chuan-kai Lin <cklin@debian.org>:
You have taken responsibility. (Sat, 05 Dec 2009 22:15:12 GMT) Full text and rfc822 format available.

Notification sent to Helmut Wollmersdorfer <helmut@wollmersdorfer.at>:
Bug acknowledged by developer. (Sat, 05 Dec 2009 22:15:13 GMT) Full text and rfc822 format available.

Reply sent to Chuan-kai Lin <cklin@debian.org>:
You have taken responsibility. (Sat, 05 Dec 2009 22:15:13 GMT) Full text and rfc822 format available.

Notification sent to John Goerzen <jgoerzen@complete.org>:
Bug acknowledged by developer. (Sat, 05 Dec 2009 22:15:13 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 03 Jan 2010 07:27:08 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 22:25:46 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.